import { HttpClient } from '@angular/common/http';
import { DashboardDto } from '../../common-dto/dashboard-dto';
import * as i0 from "@angular/core";
export declare class SelectDashboardsDialogService {
    private _httpClient;
    constructor(_httpClient: HttpClient);
    sendToDashboard(dashboard: DashboardDto): Promise<any>;
    createSendToDashboard(dashboard: DashboardDto): Promise<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectDashboardsDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SelectDashboardsDialogService>;
}
